| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Attributes | List of all members
wxAuiNotebookPage Class Reference
Class List by Category » Window Docking (wxAUI)

`#include <wx/aui/auibook.h>`

## Detailed Description

A simple class which holds information about the notebook's pages and their state.

##

Library: wxAui
Category: Window Docking (wxAUI)

## Public Attributes

wxWindow * | window
wxString | caption
wxString | tooltip
wxBitmap | bitmap
wxRect | rect
bool | active

## Member Data Documentation

bool wxAuiNotebookPage::active

wxBitmap wxAuiNotebookPage::bitmap

wxString wxAuiNotebookPage::caption

wxRect wxAuiNotebookPage::rect

wxString wxAuiNotebookPage::tooltip

wxWindow* wxAuiNotebookPage::window